summaryrefslogtreecommitdiff
path: root/bin/jsunshrink.sh
diff options
context:
space:
mode:
authorthomascube <thomas@roundcube.net>2010-03-05 09:37:03 +0000
committerthomascube <thomas@roundcube.net>2010-03-05 09:37:03 +0000
commitbc9c02617a343b0edb66595e58c1f78b7ee60c8f (patch)
tree23cef6d0ba79a2d5095f75da581869946159e055 /bin/jsunshrink.sh
parentb44b4d32e12fde2cc763bc4998e9ce18585c4b6d (diff)
Add shellscripts to shrink/unshrink javascript files (by trisk)
Diffstat (limited to 'bin/jsunshrink.sh')
-rwxr-xr-xbin/jsunshrink.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/jsunshrink.sh b/bin/jsunshrink.sh
new file mode 100755
index 000000000..90c3ea576
--- /dev/null
+++ b/bin/jsunshrink.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+JS_DIR=`dirname "$0"`/../program/js
+
+if [ ! -d "$JS_DIR" ]; then
+ echo "Directory $JS_DIR not found."
+ exit 1
+fi
+
+for fn in app common googiespell list; do
+ if [ -r "$JS_DIR/${fn}.js.src" ]; then
+ mv "$JS_DIR/${fn}.js.src" "$JS_DIR/${fn}.js"
+ echo "Reverted $JS_DIR/${fn}.js"
+ fi
+done
+
+for fn in tiny_mce/tiny_mce; do
+ if [ -d "$JS_DIR/.svn" ] && which svn >/dev/null 2>&1; then
+ rm -f "$JS_DIR/${fn}.js"
+ svn revert "$JS_DIR/${fn}.js"
+ else
+ cp "$JS_DIR/${fn}_src.js" "$JS_DIR/${fn}.js"
+ echo "Reverted $JS_DIR/${fn}.js"
+ fi
+done